<?php
include_once('../common/delegate.php');
// Start the session
session_start();

// Make new Delegate instance
$delegate = new Delegate();

// Get logged user, and save him as object
$loggedUser = $delegate->getUserById($_SESSION['userId']);

// Check if logged user is admin
if($loggedUser->level < USER_LEVEL_ADMIN) {
	header('Location: '. SERVER_ROOT .'/daily/daily.php');
	exit();
}

// Get client id from GET
$clientId = $_GET['clientId'];

// Check if client id is numeric
if(!is_numeric($clientId)) {
	$_SESSION['errors'][] = "Client don't exist";
	header('Location: '. SERVER_ROOT .'/clients/clients.php');
	exit();
}

// Check if client is in the same company with user (admin)
if(!is_numeric($delegate->getClient(array('id' => $clientId))->id)) {
	$_SESSION['errors'][] = "Client don't exist";
	header('Location: '. SERVER_ROOT .'/clients/clients.php');
	exit();	
}  

// Get client by id
$client = $delegate->getClients($clientId);
foreach($client as $clientKey => $client);

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
   "http://www.w3.org/TR/html4/loose.dtd">

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>Edit client</title>
        <link rel="shortcut icon" href="<?=SERVER_ROOT?>/pontaj.ico" type="image/x-icon" />
        <link href="<?=SERVER_ROOT?>/assets/css/pontaj.css" rel="stylesheet" type="text/css" />
        <script type="text/javascript" src="<?=SERVER_ROOT?>/assets/javascript/general.js"></script>        
    </head>
    <body>
		<?php
			define('SECTION', 'clients');
			include_once('../common/header.php');
			include_once('../common/mainbar.php');
			print showErrorAndMessagesLogs();
		?>
        
        <div class="page_title">Modify client</div>    
        <form action="<?=SERVER_ROOT?>/common/controller.php" method="POST" name="editClientForm">
            <table cellpadding="0" cellspacing="3" class="form_style" style="border-style:none;">
                <tr>
                    <th><label for="clientName">Client name</label></th>
                    <td>(<span class="required_field" title="Mandatory field">*</span>)</td>
                    <td><input type="text" name="clientName" id="clientName" value="<?=$client->name?>"></td>
                </tr>
                
                <tr>
                    <th>&nbsp;</th>
                    <td>&nbsp;</td>
                    <td align="right">
                        <input type="hidden" name="action" value="editClientExe">
                        <input type="hidden" name="clientId" value="<?=$client->id?>">
                        <a href="<?=SERVER_ROOT?>/common/controller.php?action=goToClients" class="cancel_action">cancel</a>
                        &nbsp;<input type="submit" class="submit_button" style="width:150px;" value="Save changes">
                    </td>
               </tr>
               
               <tr>
                   <td class="required_field_info"><span class="required_field" title="Mandatory field">*</span>&nbsp;mandatory field</td>
               </tr>
            </table>
        </form>
        
		<!-- FOOTER -->
        <?include_once('../common/footer.php');?>
        
    </body>
</html>