<?php
require_once('../common/delegate.php');
require_once('../common/calendar.php');

// Start the session
session_start();

// Check if user is logged
if(!is_numeric($_SESSION['userId'])) {
	header("Location: ". SERVER_ROOT ."");
	exit();
}

// Make new Delegate instance
$delegate = new Delegate();

// Make new Calendar instance
$calendar = new Calendar();

// Load user as object, from SQL by id
$loggedUser = $delegate->getUserById($_SESSION['userId']);

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
   "http://www.w3.org/TR/html4/loose.dtd">

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>Monthly</title>
        <link rel="shortcut icon" href="<?=SERVER_ROOT?>/pontaj.ico" type="image/x-icon" />
        <link href="<?=SERVER_ROOT?>/assets/css/pontaj.css" rel="stylesheet" type="text/css" />
        
		<!--for reject reason tooltip-->
		<script type="text/javascript" src="<?=SERVER_ROOT?>/assets/javascript/dhtmltooltip.js"></script>
	        
        <script type="text/javascript" src="<?=SERVER_ROOT?>/assets/javascript/general.js"></script>        
    </head>
    
    <body>
		<?php
			define('SECTION', 'monthly');
			include_once("../common/header.php");
			include_once("../common/mainbar.php");
			print showErrorAndMessagesLogs();
		?>

		<table cellpadding="7" cellspacing="0" class="calendar lunar">
			<tr>
                <th><a href="<?=SERVER_ROOT?>/common/controller.php?action=doChangeMonthlyCalendarExe&amp;year=<?=$_SESSION['calendarYear']-1?>&amp;month=<?=$_SESSION['calendarMonth']?>&amp;day=<?=$_SESSION['calendarDay']?>">&lsaquo;&lsaquo;</a></th>
                <th><a href="<?=SERVER_ROOT?>/common/controller.php?action=doChangeMonthlyCalendarExe&amp;year=<?=$_SESSION['calendarYear']?>&amp;month=<?=$_SESSION['calendarMonth']-1?>&amp;day=<?=$_SESSION['calendarDay']?>">&lsaquo;</a></th>
                <th><?=$calendar->convertIntMonthToString($_SESSION['calendarMonth'])?> <?=$_SESSION['calendarYear']?></th>
                <th><a href="<?=SERVER_ROOT?>/common/controller.php?action=doChangeMonthlyCalendarExe&amp;year=<?=$_SESSION['calendarYear']?>&amp;month=<?=$_SESSION['calendarMonth']+1?>&amp;day=<?=$_SESSION['calendarDay']?>">&rsaquo;</a></th>
                <th><a href="<?=SERVER_ROOT?>/common/controller.php?action=doChangeMonthlyCalendarExe&amp;year=<?=$_SESSION['calendarYear']+1?>&amp;month=<?=$_SESSION['calendarMonth']?>&amp;day=<?=$_SESSION['calendarDay']?>">&rsaquo;&rsaquo;</a></th>
            </tr>
            <tr>
            	<td colspan="5">
            	<a href="<?=SERVER_ROOT?>/common/controller.php?action=doChangeMonthlyCalendarExe&amp;year=<?=date("Y")?>&amp;month=<?=date("m")?>&amp;day=<?=date("j")?>">Go to current month</a>
            	</td>
            </tr>
        </table>       

        <div class="page_title">Monthly entries</div>   
        <table cellpadding="7" cellspacing="0" class="list_something">
            <tr>
                <th>Day</th>
                <th>Data</th>
                <th>Project</th>
                <th>Task</th>
                <th>Start</th>
                <th>Finished</th>
                <th>Duration</th>
                <th>Description</th>
                <th><img src="<?=SERVER_ROOT?>/assets/images/icons/entry_unfinished.gif" alt="Unfinished entry" title="Unfinished entry"/></th>
                <th><img src="<?=SERVER_ROOT?>/assets/images/icons/entry_rejected.gif" alt="Rejected entry reason" title="Rejected entry reason"/></th>
                <th><img src="<?=SERVER_ROOT?>/assets/images/icons/entry_information.gif" alt="Entry information" title="Entry information"/></th>
            </tr>

<?

// Setup the Calendar
$calendar->year		=	$_SESSION['calendarYear'];
$calendar->month	=	$_SESSION['calendarMonth'];
$calendar->day		=	$_SESSION['calendarDay'];

$firstDayOfMonthI	=	$calendar->getfirstDayOfMonthByYearAndMonth($_SESSION['calendarYear']."-".$_SESSION['calendarMonth'], "i");
$monthDaysNo		=	$calendar->getNoOfMonthDaysByYearAndMonth($_SESSION['calendarYear']."-".$_SESSION['calendarMonth']);


$totalTimeSpan		=	0;

for($i = 1; $i <= $monthDaysNo; $i++) {
		(strlen($i) == 1) ? $calendarDay = "0".$i : $calendarDay = $i;
		// Get entries for this day of month
		$entries = $delegate->getEntriesByDateAndUserId($calendar->year."-".$calendar->month."-".$calendarDay, $loggedUser->id);
		$dayName = $calendar->convertIntDayToString($firstDayOfMonthI);
		
		($dayName == "Sat" OR $dayName == "Sun") ? $tdClass = "top_only calendar_weekendday endofweek" : $tdClass = "top_only";
	?>
	<tr>
		<td class="<?=$tdClass?>">
			<?=$dayName?>
		</td>
		
		<td class="<?=$tdClass?>">
			<?=$calendar->convertIntMonthToString($_SESSION['calendarMonth'])?> <?=($i < 10) ? "&nbsp;".$i : $i ?>, <?=$_SESSION['calendarYear']?>
		</td>
	<?
		// If user have entries for this date
		if(count($entries) > 0) {
			$k = 0;
			foreach($entries as $entryKey => $entry) {
				$k++;
					?>
					<!-- PROJECT NAME -->
					<td <?=($k == 1) ? "class=\"{$tdClass}\"" : ""?> <?=($entry->status == ENTRY_STATUS_REJECTED) ? "id=\"rejected\"" : ""?>>
						<?
							$projects = $delegate->getProjects(array("id" => $entry->projectId));
							print $projects[0]->name;
						?>
					</td>
					
					<!-- TASK NAME -->
					<td <?=($k == 1) ? "class=\"{$tdClass}\"" : ""?> <?=($entry->status == ENTRY_STATUS_REJECTED) ? "id=\"rejected\"" : ""?>>&nbsp;
						<?
							if(is_numeric($entry->taskId)) {
								$tasks = $delegate->getTasks(array("id" => $entry->taskId));
								print $tasks[0]->name;
							}
						?>
					</td>
					
					<!-- START TIME -->
					<td <?=($k == 1) ? "class=\"{$tdClass}\"" : ""?> <?=($entry->status == ENTRY_STATUS_REJECTED) ? "id=\"rejected\"" : ""?>>&nbsp;
						<?=(!empty($entry->startTime)) ? date("H:i", strtotime($entry->startTime)) : "" ?>
					</td>
					
					<!-- END TIME -->
					<td <?=($k == 1) ? "class=\"{$tdClass}\"" : ""?> <?=($entry->status == ENTRY_STATUS_REJECTED) ? "id=\"rejected\"" : ""?>>&nbsp;
						<?=(!empty($entry->endTime)) ? date("H:i", strtotime($entry->endTime)) : "" ?>
					</td>
					
					<!-- TIME SPAN -->
					<td <?=($k == 1) ? "class=\"{$tdClass}\"" : ""?> <?=($entry->status == ENTRY_STATUS_REJECTED) ? "id=\"rejected\"" : ""?>>&nbsp;
						<?=(is_numeric($entry->timeSpan)) ? date("H:i", mktime(0, $entry->timeSpan, 0, 0, 0, 0)) : "" ?>
						<?
							if($entry->status != ENTRY_STATUS_REJECTED) {
								$totalTimeSpan += $entry->timeSpan;
							}
						?>
					</td>
					
					<!-- DESCRIPTION -->
					<td <?=($k == 1) ? "class=\"{$tdClass}\"" : ""?> <?=($entry->status == ENTRY_STATUS_REJECTED) ? "id=\"rejected\"" : ""?>>&nbsp;
						<?=$entry->description?>
					</td>
					
					<!-- UNFINISHED -->
					<td <?=($k == 1) ? "class=\"{$tdClass}\"" : ""?> <?=($entry->status == ENTRY_STATUS_REJECTED) ? "id=\"rejected\"" : ""?>>&nbsp;
						<?	if(!empty($entry->startTime) AND empty($entry->endTime)) {?>
							 <img src="<?=SERVER_ROOT?>/assets/images/icons/entry_unfinished.gif" alt="Unfinished entry" title="Unfinished entry"/>
						<?} else {
							print "&nbsp;";
						}
						?>
					</td>
					
					<!-- NOTE -->
					<td <?=($k == 1) ? "class=\"{$tdClass}\"" : ""?>>&nbsp;
						<?	if ($entry->status == ENTRY_STATUS_REJECTED) { ?>
			                    <img src="<?=SERVER_ROOT?>/assets/images/icons/entry_rejected.gif"  
			                         onMouseover="ddrivetip('<span class=\'ddrivetip_text_standard\'>' +
															'Rejected entry reason: <br/>' +
															'<span class=\'ddrivetip_text\'><?=(!empty($entry->note)) ?  str_replace("\r", "", str_replace("\n", "<br/>", str_replace("\"", "\\'\\'", str_replace("\'", "\\'", $entry->note)))) : "-" ?></span><br/>' +
															'Rejected date: <?=(strtotime($entry->statusDate)) ? $entry->statusDate : "-" ?><br/>' +
															'<hr/>' +
															'For more information, please contact the administrator!' +
															'</span>')" 
									onMouseout="hideddrivetip()" />
						<?	} ?>
					</td>
					
					<!-- INFO -->
					<td <?=($k == 1) ? "class=\"{$tdClass}\"" : ""?>>
						<img src="<?=SERVER_ROOT?>/assets/images/icons/entry_information.gif" 
							 onMouseover="ddrivetip('<span class=\'ddrivetip_text_standard_info_entry\'>' +
													'<b>Entry information:</b> <br/>' +
													'Add date: <?=(strtotime($entry->checkDate)) ? $entry->checkDate : "-" ?> <br/> ' +
													'Add from IP: <?=(!empty($entry->checkDateIp)) ? $entry->checkDateIp : "-" ?> <br/> ' +
		
													'<hr/>' +
											 
													'\'Start\' date: <?=(strtotime($entry->checkStartTime)) ? $entry->checkStartTime : "-" ?> <br/> ' +
													'\'Start\' from IP: <?=(!empty($entry->checkStartTimeIp)) ? $entry->checkStartTimeIp : "-" ?> <br/> ' +

													'<hr/>' +
													 
													'\'End\' date: <?=(strtotime($entry->checkEndTime)) ? $entry->checkEndTime : "-" ?> <br/>' +
													'\'End\' from IP: <?=(!empty($entry->checkEndTimeIp)) ? $entry->checkEndTimeIp : "-" ?> <br/>' +
													
													'</span>' )" 
							onMouseout="hideddrivetip()" />
					</td>
					
				<?	
					if(count($entries) > 1 AND $k < count($entries)) {
				?>
						</tr>
						<tr>
							<td></td>
							<td></td>
				<? }
					
			} // End foreach
			
		// If user don't have entries for this date
		} else {
			?>
			<td colspan="10" class="<?=$tdClass?>">&nbsp;</td>
			<?
		}
	
	// Increse first day of month
	$firstDayOfMonthI++;
	
	// If first day of month is highter than 7, reset it to 1
	if($firstDayOfMonthI > 7) {
		$firstDayOfMonthI = 1;
	}
} // End for
?>                
</tr>

            <tr>
                <td class='top_only total' colspan="11">Total <b><?=(is_numeric($totalTimeSpan)) ? floor($totalTimeSpan/60) .":".$totalTimeSpan%60 : "" ?></b></td>
            </tr>
        </table>
        
          <!--START LEGEND-->
        <div>
            <table>
                <tr><td colspan="2"><span class="not_finished_text">Legend:</span></td></tr>
                <tr>
                    <td align="center"><img src="<?=SERVER_ROOT?>/assets/images/icons/entry_unfinished.gif" alt=""/></td>
                    <td><span class="not_finished_text">Unfinished entry</span></td>
                </tr>    
                <tr>
                    <td align="center"><img src="<?=SERVER_ROOT?>/assets/images/icons/entry_rejected.gif" alt=""/></td>
                    <td><span class="not_finished_text">Rejected entry reason</span></td>
                </tr>    
                <tr>
                    <td align="center"><img src="<?=SERVER_ROOT?>/assets/images/icons/entry_information.gif" alt=""/></td>
                    <td><span class="not_finished_text">Entry information</span></td>    
                </tr>
            </table>
        </div>
        <!--END LEGEND-->
        
        <!-- TOOLTIP: { JScript pentru mmouseover -->
        <div id="dhtmltooltip"></div>
        <script type="text/javascript">
            <!--    
            var offsetxpoint = 15; //Customize x offset of tooltip
            var offsetypoint = 10; //Customize y offset of tooltip
            var ie  = document.all;
            var ns6 = document.getElementById && !document.all;
            var enabletip = false;
            if (ie||ns6)
            var tipobj=document.all? document.all["dhtmltooltip"] : document.getElementById? document.getElementById("dhtmltooltip") : "";
            document.onmousemove = positiontip;
            //-->
        </script>
        <!-- TOOLTIP:  JScript pentru mouseover } -->

		<!-- FOOTER -->
        <?include_once("../common/footer.php");?>
    </body>
</html>