<?php
include_once('../common/delegate.php');
// Start the session
session_start();

// Make new Delegate instance
$delegate = new Delegate();

// Get logged user, and save him as object
$loggedUser = $delegate->getUserById($_SESSION['userId']);

// Check if logged user is admin
if($loggedUser->level < USER_LEVEL_ADMIN) {
	header("Location: ". SERVER_ROOT ."/daily/daily.php");
	exit();
}

// Get client id from GET
$entryId = $_GET['entryId'];

// Check if client id is numeric
if(!is_numeric($entryId)) {
	$_SESSION['errors'][] = "Entry don't exist";
	header("Location: ". SERVER_ROOT ."/reports/employee-reports.php");
	exit();
}


// Get client by id
$entries = $delegate->getEntries(array("id" => $entryId));

if(count($entries) > 0) {
	foreach($entries as $entryKey => $entry);
	
} else {
	$_SESSION['errors'][] = "Entry don't exist";
	header("Location: ". SERVER_ROOT ."/reports/employee-reports.php");
	exit();
}


// Check if client is in the same company with user (admin)
if(!is_numeric($entry->id)) {
	$_SESSION['errors'][] = "Entry don't exist";
	header("Location: ". SERVER_ROOT ."/reports/employee-reports.php");
	exit();	
} 

/*
print "<pre>";
print_r($_SESSION);
print "</pre>";
*/

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
   "http://www.w3.org/TR/html4/loose.dtd">

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>Reject entry reason</title>
        <link rel="shortcut icon" href="<?=SERVER_ROOT?>/pontaj.ico" type="image/x-icon" />
        <link href="<?=SERVER_ROOT?>/assets/css/pontaj.css" rel="stylesheet" type="text/css" />
        <script type="text/javascript" src="<?=SERVER_ROOT?>/assets/javascript/general.js"></script>        
    </head>
    <body>
		<?php
			define('SECTION', 'clients');
			include_once("../common/header.php");
			include_once("../common/mainbar.php");
			print showErrorAndMessagesLogs();
		?>
        
        <div class="page_title">Reject entry</div>    
        <form action="<?=SERVER_ROOT?>/common/controller.php" method="post">
			
			<input type="hidden" name="action" value="doChangeEntryStatusExe">
			<input type="hidden" name="entryId" value="<?=$entry->id?>">
			<input type="hidden" name="userId" value="<?=$_SESSION['employeesReports']['userId']?>">
			<input type="hidden" name="projectId" value="<?=$_SESSION['employeesReports']['projectId']?>">
			<input type="hidden" name="startDate" value="<?=$_SESSION['employeesReports']['startTime']?>">
			<input type="hidden" name="endDate" value="<?=$_SESSION['employeesReports']['endTime']?>">
			
            <table cellpadding="0" cellspacing="3" class="form_style" style="border-style:none;" border="0">
                <tr>
                    <th><label for="reason">Reason</label></th>
                    <td><textarea name="reason" id="reason" cols="50" rows="7"></textarea></td>
                </tr>
                
                <tr>
                    <th>&nbsp;</th>
                    <td align="right">
                        <a href="<?=SERVER_ROOT?>/reports/employee-reports.php" class="cancel_action">cancel</a>
                        &nbsp;<input type="submit" class="submit_button" style="width:150px;" value="Save changes">
                    </td>
               </tr>
               
            </table>
        </form>
        
		<!-- FOOTER -->
        <?include_once("../common/footer.php");?>
        
    </body>
</html>